CUTLASS: cutlass::library::GemmPlanarComplexBatchedConfiguration Struct Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
cutlass::library::GemmPlanarComplexBatchedConfiguration Struct Reference

Batched complex valued GEMM in which real and imaginary parts are separated by a stride.

`#include <library.h>`

Collaboration diagram for cutlass::library::GemmPlanarComplexBatchedConfiguration:
[legend]

## Public Attributes
gemm::GemmCoord | problem_size
int64_t | lda
int64_t | ldb
int64_t | ldc
int64_t | ldd
int64_t | imag_stride_A
int64_t | imag_stride_B
int64_t | imag_stride_C
int64_t | imag_stride_D
int64_t | batched_stride_A
int64_t | batched_stride_B
int64_t | batched_stride_C
int64_t | batched_stride_D

## Member Data Documentation

int64_t cutlass::library::GemmPlanarComplexBatchedConfiguration::batched_stride_A

int64_t cutlass::library::GemmPlanarComplexBatchedConfiguration::batched_stride_B

int64_t cutlass::library::GemmPlanarComplexBatchedConfiguration::batched_stride_C

int64_t cutlass::library::GemmPlanarComplexBatchedConfiguration::batched_stride_D

int64_t cutlass::library::GemmPlanarComplexBatchedConfiguration::imag_stride_A

int64_t cutlass::library::GemmPlanarComplexBatchedConfiguration::imag_stride_B

int64_t cutlass::library::GemmPlanarComplexBatchedConfiguration::imag_stride_C

int64_t cutlass::library::GemmPlanarComplexBatchedConfiguration::imag_stride_D

int64_t cutlass::library::GemmPlanarComplexBatchedConfiguration::lda

int64_t cutlass::library::GemmPlanarComplexBatchedConfiguration::ldb

int64_t cutlass::library::GemmPlanarComplexBatchedConfiguration::ldc

int64_t cutlass::library::GemmPlanarComplexBatchedConfiguration::ldd

gemm::GemmCoord cutlass::library::GemmPlanarComplexBatchedConfiguration::problem_size

The documentation for this struct was generated from the following file:

- library.h